composer.json 4.63 KB
Newer Older
1
{
2 3 4
    "name": "drupal/drupal",
    "description": "Drupal is an open source content management platform powering millions of websites and applications.",
    "type": "project",
5
    "license": "GPL-2.0-or-later",
6 7 8 9 10
    "homepage": "https://www.drupal.org/project/drupal",
    "support": {
        "docs": "https://www.drupal.org/docs/user_guide/en/index.html",
        "chat": "https://www.drupal.org/node/314178"
    },
11
    "require": {
12
        "composer/installers": "^1.9",
13
        "drupal/core": "self.version",
14
        "drupal/core-project-message": "self.version",
15
        "drupal/core-vendor-hardening": "self.version"
16
    },
17
    "require-dev": {
18
        "behat/mink": "^1.8",
19
        "behat/mink-goutte-driver": "^1.2",
20
        "behat/mink-selenium2-driver": "^1.4",
21
        "composer/composer": "^1.9.1",
22
        "drupal/coder": "^8.3.7",
23
        "mikey179/vfsstream": "^1.6.8",
24
        "phpunit/phpunit": "^8.4.1",
25
        "phpspec/prophecy": "^1.7",
26
        "symfony/css-selector": "^4.4",
27
        "symfony/phpunit-bridge": "^5.1.4",
28
        "symfony/var-dumper": "^5.1.2",
29
        "symfony/error-handler": "^4.4",
30
        "justinrainbow/json-schema": "^5.2",
31 32 33 34
        "symfony/filesystem": "^4.4",
        "symfony/finder": "^4.4",
        "symfony/lock": "^4.4",
        "symfony/browser-kit": "^4.4",
35
        "symfony/dom-crawler": "^4.4 !=4.4.5",
36
        "easyrdf/easyrdf": "^0.9"
37 38 39 40 41
    },
    "minimum-stability": "dev",
    "prefer-stable": true,
    "config": {
        "preferred-install": "dist",
42
        "autoloader-suffix": "Drupal9"
43 44 45 46
    },
    "extra": {
        "_readme": [
            "By default Drupal loads the autoloader from ./vendor/autoload.php.",
47 48 49 50
            "To change the autoloader you can edit ./autoload.php.",
            "This file specifies the packages.drupal.org repository.",
            "You can read more about this composer repository at:",
            "https://www.drupal.org/node/2718229"
51
        ],
52
        "installer-paths": {
53
            "core": ["type:drupal-core"],
54
            "libraries/{$name}": ["type:drupal-library"],
55 56 57
            "modules/contrib/{$name}": ["type:drupal-module"],
            "profiles/contrib/{$name}": ["type:drupal-profile"],
            "themes/contrib/{$name}": ["type:drupal-theme"],
58
            "drush/Commands/contrib/{$name}": ["type:drupal-drush"],
59 60
            "modules/custom/{$name}": ["type:drupal-custom-module"],
            "themes/custom/{$name}": ["type:drupal-custom-theme"]
61 62 63 64 65 66 67 68 69 70 71 72
        },
        "drupal-core-project-message": {
            "post-install-cmd-message": [
                "<bg=blue;fg=white>drupal/drupal</>: This package is meant for core development,",
                "               and not intended to be used for production sites.",
                "               See: https://www.drupal.org/node/3082474"
            ],
            "post-create-project-cmd-message": [
                "<bg=red;fg=white>drupal/drupal</>: This package is meant for core development,",
                "               and not intended to be used for production sites.",
                "               See: https://www.drupal.org/node/3082474"
            ]
73 74 75 76 77 78 79
        }
    },
    "autoload": {
        "psr-4": {
            "Drupal\\Core\\Composer\\": "core/lib/Drupal/Core/Composer"
        }
    },
80 81 82 83 84
    "autoload-dev": {
        "psr-4": {
            "Drupal\\Composer\\": "composer"
        }
    },
85
    "scripts": {
86 87
        "pre-install-cmd": "Drupal\\Composer\\Composer::ensureComposerVersion",
        "pre-update-cmd": "Drupal\\Composer\\Composer::ensureComposerVersion",
88
        "pre-autoload-dump": "Drupal\\Core\\Composer\\Composer::preAutoloadDump",
89 90
        "drupal-phpunit-upgrade-check": "Drupal\\Core\\Composer\\Composer::upgradePHPUnit",
        "drupal-phpunit-upgrade": "@composer update phpunit/phpunit symfony/phpunit-bridge phpspec/prophecy symfony/yaml --with-dependencies --no-progress",
91
        "post-update-cmd": [
92
            "Drupal\\Composer\\Composer::generateMetapackages"
93
        ],
94 95
        "phpcs": "phpcs --standard=core/phpcs.xml.dist --runtime-set installed_paths $($COMPOSER_BINARY config vendor-dir)/drupal/coder/coder_sniffer --",
        "phpcbf": "phpcbf --standard=core/phpcs.xml.dist --runtime-set installed_paths $($COMPOSER_BINARY config vendor-dir)/drupal/coder/coder_sniffer --"
96 97 98 99 100
    },
    "repositories": [
        {
            "type": "composer",
            "url": "https://packages.drupal.org/8"
101 102 103 104
        },
        {
            "type": "path",
            "url": "core"
105
        },
106 107 108 109
        {
            "type": "path",
            "url": "composer/Plugin/ProjectMessage"
        },
110 111 112
        {
            "type": "path",
            "url": "composer/Plugin/VendorHardening"
113 114
        }
    ]
115
}